Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.reflection
Class ReflectionHelper

    java.lang.Object
      com.sun.jersey.core.reflection.ReflectionHelper

    public class ReflectionHelper

extends java.lang.Object

Utility methods for Java reflection.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary
`static class` | `ReflectionHelper.ClassTypePair` A tuple consisting of a class and type of the class.

Constructor Summary
`ReflectionHelper()`

Method Summary
`static java.lang.Class` | `classForName(java.lang.String name)` Get the Class from the class name.
`static java.lang.Class` | `getGenericClass(java.lang.reflect.Type parameterizedType)` Get the class that is the type argument of a parameterized type.
`static java.lang.reflect.Constructor` | `getStringConstructor(java.lang.Class c)` Get the constructor that has a single parameter of String.
`static java.lang.reflect.Method` | `getValueOfStringMethod(java.lang.Class c)` Get the static valueOf(String ) method.
`static ReflectionHelper.ClassTypePair` | `resolveTypeVariable(java.lang.Class c, java.lang.Class dc, java.lang.reflect.TypeVariable tv)` Given a type variable resolve the Java class of that variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionHelper

    public ReflectionHelper()

Method Detail

### classForName

    public static java.lang.Class classForName(java.lang.String name)

  Get the Class from the class name.

  The context class loader of the current thread is used, if null then the ClassLoader.getSystemClassLoader() is utilized.

  Parameters:
    `name` - the class name.
  Returns:
    the Class.

### getGenericClass

    public static java.lang.Class getGenericClass(java.lang.reflect.Type parameterizedType)
                                           throws java.lang.IllegalArgumentException

  Get the class that is the type argument of a parameterized type.

  Parameters:
    `parameterizedType` - must be an instance of ParameterizedType and have exactly one type argument.
  Returns:
    the class of the actual type argument. If the type argument is a class then the class is returned. If the type argument is a generic array type and the generic component type is a class then class of the array is returned. If the parameterizedType is not an instance of ParameterizedType or contains more than one type argument null is returned.
  Throws:
    `java.lang.IllegalArgumentException` - if the single type argument is not of a class or a generic array type, or the generic component type of the generic array type is not class.

### getValueOfStringMethod

    public static java.lang.reflect.Method getValueOfStringMethod(java.lang.Class c)

  Get the static valueOf(String ) method.

  Parameters:
    `c` - The class to obtain the method.
  Returns:
    the method, otherwise null if the method is not present.

### getStringConstructor

    public static java.lang.reflect.Constructor getStringConstructor(java.lang.Class c)

  Get the constructor that has a single parameter of String.

  Parameters:
    `c` - The class to obtain the constructor.
  Returns:
    the constructor, otherwise null if the constructor is not present.

### resolveTypeVariable

    public static ReflectionHelper.ClassTypePair resolveTypeVariable(java.lang.Class c,
                                                                     java.lang.Class dc,
                                                                     java.lang.reflect.TypeVariable tv)

  Given a type variable resolve the Java class of that variable.

  Parameters:
    `c` - the concrete class from which all type variables are resolved
    `dc` - the declaring class where the type variable was defined
    `tv` - the type variable
  Returns:
    the resolved Java class and type, otherwise null if the type variable could not be resolved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.